# UBTech Yanshee

## Hardware

* A laptop/PC
* A mobile phone
* UbTech Yanshee (mini humanoid robot)

## Software

* Yanshee mobile app
* OM1
* [OM1 API key](https://portal.openmind.com/)

## Installation

First, install the Yanshee mobile app on your phone. This will allow you to retrieve robot's IP address. Then, install OM1 on your laptop or PC, following the [standard instructions](/developing/1_get-started.md).

## Connecting to the Robot

* Switch on your Bluetooth and location.
* Go to the Yanshee mobile application and click on the icon on the top right corner.
* Check the serial number at the back of your robot and connect to the same robot.
* Make sure you are connected to the same network as your system is connected to.
* Once the connection has been set up, check to make sure you are able to execute the functionalities available on the application.

## Retrieve the Robot's IP Address

Option 1- Open the menu on the top left corner of the application. Go to Setup -> Robot information. Note down the IP address for future reference.

Option 2- You'll need:

* HDMI cable
* External monitor
* USB mouse
* USB keyboard

Setup Steps:

* Connect the HDMI cable to the robot's HDMI port.
* Plug the mouse and keyboard into the USB ports on the right side of the robot's chest.
* Ensure the robot's Raspberry Pi is on the same network as your computer.

To find the IP address:

* Open the terminal.
* Run:

```bash
ifconfig
```

The IP address will be listed under the `inet` field.

## Steps

Set the OM1 API key and robot IP address in the config file (`config/ubtech_yanshee.json5`).

```bash
    "api_key": "om1_live_..."
    "robot_ip": "<your robot's ip address>"
```

Then, run the agent using `uv run src/run.py ubtech_yanshee`. You will now be able to make the robot take actions like walk forward, walk backward, do a push up, give you a hug, turn right, turn left, bow, crouch and more via voice commands. You can also have a conversation with it and ask about its surroundings.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.openmind.com/developer-cookbook/om1-integration-with-different-machines/ubtech_yanshee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
